Package org.jfree.layouting.renderer.process

## Class AlignmentCollector

- java.lang.Object
- - org.jfree.layouting.renderer.process.AlignmentCollector

-     public class AlignmentCollector
      extends java.lang.Object

  The collector holds the total height of all elements and the baseline positions of the last element. When a new element is added, it gets added either unaligned (in respect to any baseline) or alignd to one of the baselines.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AlignmentCollector​(long lineheight)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `add​(InlineSequenceElement sequenceElement)` | Adding unaligned elements increases the total height and either shifts the stored baselines upward or downwards.
    `long` | `getHeight​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlignmentCollector

          public AlignmentCollector​(long lineheight)

      Parameters:
        `minorAxis` -
        `lineheight` -

  - ### Method Detail

    - #### getHeight

          public long getHeight​()

    - #### add

          public long add​(InlineSequenceElement sequenceElement)

      Adding unaligned elements increases the total height and either shifts the stored baselines upward or downwards. If a bottom aligned element is greater than the already seen content, extending the total height will require a shift of the computed last baseline by the added height. The returned position will only be valid, if the total lineheight will not change while adding nodes.
      Parameters:
        `height` -
        `shiftDown` -
      Returns:
        the position of the top edge of the node.